Bug 256115 - print/epson-inkjet-printer-escpr: Update to 1.7.10
Summary: print/epson-inkjet-printer-escpr: Update to 1.7.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kevin Bowling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-24 07:35 UTC by Tatsuki Makino
Modified: 2021-06-15 00:14 UTC (History)
1 user (show)

See Also:
tatsuki_makino: maintainer-feedback+


Attachments
patch for print/epson-inkjet-printer-escpr (2.49 KB, patch)
2021-05-24 07:35 UTC, Tatsuki Makino
tatsuki_makino: maintainer-approval+
Details | Diff
poudriere log (105.14 KB, text/plain)
2021-05-24 07:36 UTC, Tatsuki Makino
no flags Details
patch for print/epson-inkjet-printer-escpr (4.03 KB, patch)
2021-06-14 23:31 UTC, Tatsuki Makino
tatsuki_makino: maintainer-approval-
Details | Diff
poudriere log (105.50 KB, text/plain)
2021-06-14 23:34 UTC, Tatsuki Makino
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tatsuki Makino 2021-05-24 07:35:19 UTC
Created attachment 225213 [details]
patch for print/epson-inkjet-printer-escpr

epson-inkjet-printer-escpr has been updated to 1.7.10.

--- epson-inkjet-printer-escpr-1.7.9/NEWS       2021-02-15 02:24:33.000000000 +0000
+++ epson-inkjet-printer-escpr-1.7.10/NEWS      2021-04-19 03:52:35.000000000 +0000
@@ -1,7 +1,13 @@
 NEWS -- an overview of user-visible changes with each release
 
 ----------------------------------------------------------------------
+epson-inkjet-printer-escpr-1.7.10                         (2021-04-19)
+----------------------------------------------------------------------
+* Fixed the problem that epson-escpr-wrapper filter crashed 
+  when cupsRasterReadHeader was failed.
+
+----------------------------------------------------------------------
 epson-inkjet-printer-escpr-1.7.9                          (2021-02-15)
 ----------------------------------------------------------------------
 * Supported new model.
 
Changes on the port side:
Drop gmake from USE=. This is because the syntax that requires gmake is not used. (This was requested by email directly to me.)

The patch was generated by the following command.
git diff --no-color --no-relative --no-prefix HEAD -- print/epson-inkjet-printer-escpr
Comment 1 Tatsuki Makino 2021-05-24 07:36:27 UTC
Created attachment 225214 [details]
poudriere log
Comment 2 commit-hook freebsd_committer 2021-06-14 23:21:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bfb1472bcaf4a2a6a39989df58be2ebf5fb08d62

commit bfb1472bcaf4a2a6a39989df58be2ebf5fb08d62
Author:     Tatsuki Makino <tatsuki_makino@hotmail.com>
AuthorDate: 2021-06-14 23:19:39 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-14 23:21:10 +0000

    print/epson-inkjet-printer-escpr: Update to 1.7.10

    Drop gmake from USE=. This is because the syntax that requires gmake is
    not used.

    PR:             256115
    Approved by:    maintainer

 print/epson-inkjet-printer-escpr/Makefile                  | 9 +++++----
 print/epson-inkjet-printer-escpr/distinfo                  | 6 +++---
 print/epson-inkjet-printer-escpr/files/patch-src_wrapper.c | 4 ++--
 3 files changed, 10 insertions(+), 9 deletions(-)
Comment 3 Kevin Bowling freebsd_committer 2021-06-14 23:22:02 UTC
Thanks for your contribution!
Comment 4 Tatsuki Makino 2021-06-14 23:31:18 UTC
Created attachment 225813 [details]
patch for print/epson-inkjet-printer-escpr

epson-inkjet-printer-escpr has been updated to 1.7.11.

--- epson-inkjet-printer-escpr-1.7.10/NEWS      2021-04-19 03:52:35.000000000 +0000
+++ epson-inkjet-printer-escpr-1.7.11/NEWS      2021-06-02 04:28:56.000000000 +0000
@@ -1,11 +1,16 @@
 NEWS -- an overview of user-visible changes with each release
 
 ----------------------------------------------------------------------
+epson-inkjet-printer-escpr-1.7.11                         (2021-06-02)
+----------------------------------------------------------------------
+* Supported new model.
+
+----------------------------------------------------------------------
 epson-inkjet-printer-escpr-1.7.10                         (2021-04-19)
 ----------------------------------------------------------------------

New PPD file for ET-4800 series has been added.
Comment 5 Tatsuki Makino 2021-06-14 23:33:23 UTC
(In reply to Tatsuki Makino from comment #4)

Yeah, it was a little late for that. orz
Should I open a new one?
Comment 6 Tatsuki Makino 2021-06-14 23:34:35 UTC
Created attachment 225815 [details]
poudriere log
Comment 7 Tatsuki Makino 2021-06-15 00:12:52 UTC
(In reply to Kevin Bowling from comment #3)

Thank you for committing.

However, since 1.7.11 was released today, would you please commit that as well?
Bug 256611: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=256611